ruby-omniauth-oauth2_1.4.0-1_all.deb


Advertisement

Description

ruby-omniauth-oauth2 - abstract OAuth2 strategy for OmniAuth

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-omniauth-oauth2
Package version: 1.4.0
Package release: 1
Package architecture: all
Package type: deb
Installed size: 30 B
Download size: 5.02 KB
Official Mirror: archive.ubuntu.com
This gem contains a generic OAuth2 strategy for OmniAuth. It is meant to serve as a building block strategy for other strategies and not to be used independently (since it has no inherent way to gather uid and user info).

Alternatives

    Download

    Source package: ruby-omniauth-oauth2

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-omniauth-oauth2 deb package:
      # sudo apt-get install ruby-omniauth-oauth2

    Files

    • /usr/lib/ruby/vendor_ruby/omniauth-oauth2.rb
    • /usr/lib/ruby/vendor_ruby/omniauth-oauth2/version.rb
    • /usr/lib/ruby/vendor_ruby/omniauth/strategies/oauth2.rb
    • /usr/share/doc/ruby-omniauth-oauth2/changelog.Debian.gz
    • /usr/share/doc/ruby-omniauth-oauth2/copyright
    • /usr/share/lintian/overrides/ruby-omniauth-oauth2
    • /usr/share/rubygems-integration/all/specifications/omniauth-oauth2-1.4.0.gemspec

    Changelog

    2016-03-16 - Sudheesh Shetty <sudheeshshetty@gmail.com> ruby-omniauth-oauth2 (1.4.0-1) unstable; urgency=medium * Team upload * New upstream release * Modified patch to remove simplecov/coveralls [ Pirate Praveen ] * Check gemspec dependencies during build

    2015-05-13 - Pirate Praveen <praveen@debian.org> ruby-omniauth-oauth2 (1.2.0-3) unstable; urgency=medium * Tighten dependencies as per gemspec.

    2015-04-28 - Pirate Praveen <praveen@debian.org> ruby-omniauth-oauth2 (1.2.0-2) unstable; urgency=medium * Re-upload to unstable.

    2014-11-23 - Pirate Praveen <praveen@debian.org> ruby-omniauth-oauth2 (1.2.0-1) experimental; urgency=medium * New upstream release. * Bump standards version to 3.9.6 (no changes).

    2014-05-07 - Pirate Praveen <praveen@debian.org> ruby-omniauth-oauth2 (1.1.2-1) unstable; urgency=low * New upstream release - oauth2 gem version requirement now matches * Run tests (remove simplecov/coveralls) * Add ruby-rspec, ruby-rack-test and ruby-webmock to build deps * ruby-omniauth and ruy-oauth is needed for builds too

    2014-05-05 - Pirate Praveen <praveen@debian.org> ruby-omniauth-oauth2 (1.1.1-2) unstable; urgency=low * Rebuild with gem2deb >= 0.7.5 (install gemspec for all ruby versions) * Bump standards version to 3.9.5 (no changes)

    2013-06-12 - Praveen Arimbrathodiyil <praveen@debian.org> ruby-omniauth-oauth2 (1.1.1-1) unstable; urgency=low * Initial release (Closes: #709984)

    Advertisement
    Advertisement